package com.ez.ertc.meeting.base;

import android.app.Activity;

import androidx.annotation.StringRes;

public interface YsBaseView<T> {

    void setPresenter(T presenter);

    void showToast(@StringRes int stringId);

    void showToast(String s);

    void showWaitingDialog();

    void showWaitingDialog(String text);
    void showWaitingDialog(String text,boolean cancelable);

    void dismissWaitingDialog();

    void finish();

    Activity getActivity();

}
